Skip to main content
GET
/
evaluation-platform
/
v1
/
exam
/
{id}
/
Get exam details by ID.
curl --request GET \
  --url https://api-staging.crazygoldfish.com/evaluation-platform/v1/exam/{id}/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-staging.crazygoldfish.com/evaluation-platform/v1/exam/{id}/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-staging.crazygoldfish.com/evaluation-platform/v1/exam/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "d19e8688-98dd-4274-a2a5-4a616dd93ea7",
  "examName": "Mock Test",
  "overallDuration": 180,
  "grade": 10,
  "classSection": null,
  "subject": 1,
  "examType": 1,
  "examSet": "N/A",
  "documents": [
    {
      "id": "d24b29ff-d3e4-4dab-9218-20b9a472c7e0",
      "status": 2,
      "pageNo": null,
      "uploadTime": "2024-12-23T12:50:59.181071Z",
      "url": "https://cfgblob.blob.core.windows.net/evaluation/CBSE_10_Science_-_Mock_Test_A.pdf",
      "fileType": 1
    }
  ],
  "createdAt": "2024-12-23T12:50:39.786489Z",
  "modifiedAt": "2024-12-26T06:52:14.633272Z",
  "examDate": "2024-08-10",
  "isFinalPublish": false,
  "isProvisionalPublished": false
}
{
"detail": "Token has expired"
}
{
"error": {
"code": 404,
"message": {
"non_field_errors": [
"Exam not found"
]
}
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Example:

"4340132f-50fa-4877-9ffa-e9b7ee59d51f"

Response

Successful Response

id
string<uuid>

Unique identifier of the exam.

Example:

"d19e8688-98dd-4274-a2a5-4a616dd93ea7"

examName
string

Name of the exam.

Example:

"Mock Test"

overallDuration
integer

Duration of the exam in minutes.

Example:

180

grade
integer

Class for which the exam is designed.

Example:

10

classSection
string | null

Section of the class, if applicable.

Example:

null

subject
integer

Subject ID associated with the exam.

Example:

1

examType
integer

Type of the exam.

Example:

1

examSet
string

Exam set information.

Example:

"N/A"

documents
object[]

List of documents associated with the exam.

createdAt
string<date-time>

Timestamp of exam creation.

Example:

"2024-12-23T12:50:39.786489Z"

modifiedAt
string<date-time>

Timestamp of the last modification.

Example:

"2024-12-26T06:52:14.633272Z"

examDate
string<date>

Date of the exam.

Example:

"2024-08-10"

isFinalPublish
boolean

Whether the exam is finalized for publication.

Example:

false

isProvisionalPublished
boolean

Whether the exam is provisionally published.

Example:

false